# std::pointer_to_binary_function< _Arg1, _Arg2, _Result > Class Template Reference
[Adaptors for pointers to functions]

Inheritance diagram for std::pointer_to_binary_function< _Arg1, _Arg2, _Result >:

List of all members.

## Detailed Description

### template<class _Arg1, class _Arg2, class _Result>
class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >

Definition at line 505 of file stl_function.h.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Result operator() (_Arg1 __x, _Arg2 __y) const
- pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))
- pointer_to_binary_function ()

## Protected Attributes

- _Result(* _M_ptr )(_Arg1, _Arg2)

## Member Typedef Documentation

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type`[inherited]`

the type of the first argument

Definition at line 116 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type`[inherited]`

type of the return type

Reimplemented in std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type`[inherited]`

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h